Page MenuHomeMiraheze

Please install Newsletter extension for espiralwiki
Closed, ResolvedPublic

Description

Please install https://www.mediawiki.org/wiki/Extension:Newsletter and make it available to espiralwiki / https://espiral.org.

This extension has been available in Wikimedia Beta for a long time and has gone through an extensive review. It is about to complete the security review and be available in Wikimedia wikis. I know the project very well :) and their developers.

You can see the extension in action and test it at https://deployment.wikimedia.beta.wmflabs.org/wiki/Special:Newsletters

The Newsletter extension would be very useful for espiral.org, and surely to other Miraheze projects and Miraheze itself. I am happy to test it in espiral.org first and, by doing so, improve the Help documentation for its use.

Event Timeline

Icaria36 created this task.Oct 24 2016, 10:46
Icaria36 updated the task description. (Show Details)Oct 24 2016, 10:51

It needs to be reviewed. @labster

John added a subscriber: John.Oct 24 2016, 12:44

If it passes a Wikimedia security review it is exempt from us reviewing it.

The thing is, Wikimedia security process takes a long time. We got a first round of feedback by them, the points raised were fixed, and now we are about to finish a long code review process for one patch, just because there is not much people able and available to review ContentHandler related stuff.

I don't know when are we going to get another slot for security review, but I hope the fact that we adressed their concerns in the previous round is good enough. See https://phabricator.wikimedia.org/T115095

@John You have not made it clear if this can be installed or not, as it does not pass a Wikimedia Security review but it is ongoing.

Icaria36 added a comment.Nov 8 2016, 11:07

If you want, I am happy running a controlled test only in espiral.org, assuming all responsibility for bugs, loss of data, etc. I don't think any of this will happy, but at least you know that I would not file bugs against Miraheze (but directly to the developers). I would also let you know when the extension has been used for a while without trouble.

@John So can I install it then?

ImBoPhil mentioned this in Unknown Object (Diffusion Commit).Nov 12 2016, 14:28
ImBoPhil mentioned this in Unknown Object (Diffusion Commit).Nov 12 2016, 14:32
Reception123 mentioned this in Unknown Object (Diffusion Commit).Nov 12 2016, 14:32
ImBoPhil mentioned this in Unknown Object (Diffusion Commit).Nov 12 2016, 14:37
Reception123 mentioned this in Unknown Object (Diffusion Commit).Nov 12 2016, 19:03
Reception123 closed this task as Resolved.Nov 12 2016, 19:14
Reception123 assigned this task to ImBoPhil.

The newsletter extension went to major changes, after we shifted it to use ContentHandler, so it would be great if you can test and install the latest copy from master ie after https://github.com/wikimedia/mediawiki-extensions-Newsletter/commit/18a46ada9a3ea246b9c696762370c5bda474eb6b

John added a comment.Nov 13 2016, 20:34

@tonythomas01 Is said version still compatible with 1.27? If so, I see no reason why we can't.

In T934#17533, @John wrote:

@tonythomas01 Is said version still compatible with 1.27? If so, I see no reason why we can't.

it is! Please go for it :)

Icaria36 reopened this task as Open.Nov 17 2016, 13:40

I'm taking the liberty to reopen this task, in order to stress that the extension should be updated, if possible.

MacFan4000 removed ImBoPhil as the assignee of this task.Nov 17 2016, 14:31
John claimed this task.Nov 17 2016, 16:56
John closed this task as Resolved.Nov 17 2016, 17:31